---
title: "Returns all product ids that have food declarations."
url: "https://developer.migros.ch/apis/quality-data-8/versions/a330cc6d-f33b-4507-8cf4-5670df44909b/operations/get-declarations-product-ids"
---

> Full API specification: https://developer.migros.ch/apis/quality-data-8/versions/a330cc6d-f33b-4507-8cf4-5670df44909b.md

# Returns all product ids that have food declarations.

`GET` `/migros/products/v8/declarations/product-ids`

Operation ID: `get-declarations-product-ids`

The result is an array of ids.

## Query parameters

- `updated_since` (string, optional) - The date and time used to only get declarations updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.
- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful
- `400` - If the request parameters are invalid.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Quality Data
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/declarations/product-ids:
    get:
      description: The result is an array of ids.
      operationId: get-declarations-product-ids
      parameters:
        - description: The date and time used to only get declarations updated since a
            certain timestamp. The format is according to ISO 8601 and can
            include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful
            about the plus getting properly percent-encoded when passed).
            Default time zone is Swiss time.
          in: query
          name: updated_since
          schema:
            type: string
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
          description: Returned when successful
        "400":
          $ref: "#/components/responses/400"
      summary: Returns all product ids that have food declarations.
      tags:
        - Declarations
security:
  - Kong-Api-Key: []
  - basicAuth: []
components:
  parameters:
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  responses:
    "400":
      description: If the request parameters are invalid.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
